-- File philosopher.ads

-- Standard ECOA Types
with ECOA;


package philosopher is

-- Enum type
type State is new ECOA.Unsigned_8_Type;
State_UNDEFINED : constant State := 0;
State_GETTINGSTICKS : constant State := 1;
State_EATING : constant State := 2;
State_SURRENDERING : constant State := 3;
State_THINKING : constant State := 4;


end philosopher;
